# Class ServicesController < ProjectResourceController

- app/controllers/services_controller.rb

Methods

E
  - edit
I
  - index
T
  - test
U
  - update

Instance Public methods
edit() Link

Source: show

    # File app/controllers/services_controller.rb, line 11
    def edit
      @service = @project.gitlab_ci_service

      # Create if missing
      @service = @project.create_gitlab_ci_service unless @service
    end

index() Link

Source: show

    # File app/controllers/services_controller.rb, line 7
    def index
      @gitlab_ci_service = @project.gitlab_ci_service
    end

test() Link

Source: show

    # File app/controllers/services_controller.rb, line 28
    def test
      commits = project.commits(project.default_branch, nil, 3)
      data = project.post_receive_data(commits.last.id, commits.first.id, "refs/heads/#{project.default_branch}", current_user)

      @service = project.gitlab_ci_service
      @service.execute(data)

      redirect_to :back
    end

update() Link

Source: show

    # File app/controllers/services_controller.rb, line 18
    def update
      @service = @project.gitlab_ci_service

      if @service.update_attributes(params[:service])
        redirect_to edit_project_service_path(@project, :gitlab_ci)
      else
        render 'edit'
      end
    end